Xposed-Installer Installation für Dummys

  • 8 Antworten
  • Neuester Beitrag
Diskutiere Xposed-Installer Installation für Dummys im Root / Custom-ROMs / Modding für Moto G4 Plus im Bereich Motorola Moto G4 Plus Forum.
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
Moin ihr Lieben,
jetzt brauche ich auch wieder Eure Hilfe. Nun habe ich ja mein Handy "gerootet" und wollte XposedInstaller_3.1.1.apk installieren.Leider bekomme ich beim starten der App dann den Hinweis, dass meine Android Version 7.0 nicht unterstützt wird. Sehr ärgerlich, da es ein Grund war mein Handy zu rooten.

Nun habe ich gelesen, dass ich folgende Datei flashen muß:
26-07-17-xposed-v87-sdk24-Xposed-by-PurifyOS.zip

Aber ich schaffe es einfach nicht. Muß ich die XposedInstaller_3.1.1.apk installiert haben und mache danach was? Ich hoffe ihr könnt mir helfen.
 
ive

ive

Experte
Xposed für Android 7.x scheint noch sehr experimentell zu sein. Mehr dazu:

In other words, the Xposed Framework for Android Nougat is not dead and forgotten. However, don’t hold your breath for an imminent release. We’d certainly love it if the Framework could be published sooner rather than later, but from the sound of what rovo89 is saying, there’s still quite a bit of work that needs to be done before Nougat’s version of Xposed is ready for the limelight. Xposed has always been an extremely complex modification, so we believe everyone should patiently wait for rovo89’s amazing work to be as perfect as he needs it to be.
10.07.2017, Quelle: Xposed Developer Provides Development Update on Nougat

"Flashable Zip Brings Unofficial Xposed Framework to Android 7.1 Nougat"
We should make it clear that these recent developments aren’t the true “Xposed” that you all know and love, but functionally they allow you to use some Xposed Framework Modules right now on Android Nougat. We won’t fault you for not waiting for the official, more stable, and more compatible version of the Xposed Framework for Android Nougat, but we want to make it clear that this iteration is merely a stopgap measure meant to satiate the needs of some users right now. It is likely not the way Xposed will be handled in the future.
19.07.2017, Quelle: Unofficial Xposed Framework for Android 7.1 Nougat

Der Thread zum "Unofficial Xposed Nougat": [XPOSED] [NOUGAT] [CAN UNSTABLE] Xposed SDK25/24 for all arch

Scheint aber nicht auf allen Geräten und ROMs zu laufen, hier ein Thread zu diesem Thema: [UNOFFICIAL] List of ROMs and device working with Nougat Xposed SDK 24/SDK 25

Mehr kann ich dazu leider selbst nicht sagen, wäre super wenn xposed funktionieren würde, aber bisher konnte ich auch sehr gut ohne leben. Sollte es nicht klappen ist dein root trotzdem nicht verschwendet! Schon allein für AdAway (adblocker) lohnt es sich zu rooten! Oder damit du jetzt auf /system zugreifen kannst, z.B. in der Datei build.prop eine Zeile hinzufügen und schon hast du bei der Medienlautstärke z.B. 30 Schritte statt 15 ..
 
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
Danke für, wie immer, deine Hilfe und Infos. Ich brauchte das xposed für meine APP BubbleUPnP für DLNA/Chromecast, dafür gibt es nämlich ein Modul das mir hilft ALLE Inhalte (z.B. Spotify) auf mein LibreELEC zu streamen. Also alle Inhalte eigentlich vom Handy. Das klappte sonst nicht. Aber ich werde mal schauen, was Deine Hilfe mir bringt und dann berichten.
 
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
So,nun wollte ich auch mal anfangen diese Xposed für Android 7.0 zu installieren.
Ich muß nun als erstes:
XposedInstaller_3.1.apk oder sollte ich lieber XposedInstaller_3.1.1.apk installieren?
und als 2. muss ich dann SDK24 mit TWRP flaschen to install the framework.

Was ist denn XposedInstaller_by_dvdandroid_04_08_17.apk? Ist es besser als der Installer oben?
Zu welchem Installer ratet ihr mir?
Ist das so richtig?
 
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
Dann noch einmal schnell eine Frage:
Index of /framework/sdk24/

../
arm/ 08-Oct-2017 11:27 -
arm64/ 08-Oct-2017 18:33 -
x86/ 08-Oct-2017 11:27

Welches nehme ich für mein 4G Plus?
 
PC295

PC295

Erfahrenes Mitglied
"arm" nehmen.
 
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
Oh, und ich dachte es wäre ein 64bit Prozessor. Danke. Mache ich und werde berichten.
 
Peter-der-kleine

Peter-der-kleine

Ambitioniertes Mitglied
Danke, hat alles soweit mit xposed funktioniert. Leuchtet grün, habe aber die Version 88.1
Nun wollte ich aber mein Modul BubbleUPnP aktivieren und jetzt meckert xposed, dass es auf eine Datei keine Rechte hat, um es zu aktivieren. Die Meldung geht zu schnell weg, um sie lesen zu können. Könnt ihr mir da noch einmal helfen?
-- Dieser Beitrag wurde automatisch mit dem folgenden Beitrag zusammengeführt --
Ich will nicht schon wieder sagen, dass das Problem VOR dem Handy gesessen hat.... Doch will ich.... Die xposed App war nicht im internen Speicher und zusätzlich hatte ich der App ALLE Rechte entzogen... Kann dann natürlich nicht gehen... Nun ist das Modul aktiviert. Muß ich nachher mal zu Hause ausprobieren.

Danke trotzdem für das Zuhören :))